Bug 1651245

Summary: Broken import test.support
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python3Assignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: bkabrda, cstratak, dmalcolm, lzachar, mcyprian, mhroncok, pviktori, python-maint, qe-baseos-apps, rkuska, shcherbina.iryna, tomspur, torsava
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python3-3.7.1-4.fc29 python3-3.6.7-2.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1651215 Environment:
Last Closed: 2018-11-25 02:26:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1651215    

Description Miro Hrončok 2018-11-19 14:10:30 UTC
+++ This bug was initially created as a clone of Bug #1651215 +++

Description of problem:
With update of python3 to 3.6.7 import of test.support got broken.
It used to work with 3.6.6.

Version-Release number of selected component (if applicable):
python3-3.6.7-1.fc28

Steps to Reproduce:
1. python3
2. >>> import test.support

<mock-chroot> sh-4.4# python3
Python 3.6.7 (default, Nov 16 2018, 12:02:29) 
[GCC 8.2.1 20181105 (Red Hat 8.2.1-5)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import test.support
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.6/test/support/__init__.py", line 36, in <module>
    from .testresult import get_test_runner
ModuleNotFoundError: No module named 'test.support.testresult'


--- Additional comment from Petr Viktorin on 2018-11-19 14:56:00 CET ---

This is a packaging issue -- `test.support` should be either in python3-libs or python3-test, but not both.


Lukas, do you have `python3-tests` installed? If not, please install it.
(IMO that's how you should bring in `test.support`, but it's currently in python3-libs for some reason.)

--- Additional comment from Miro Hrončok on 2018-11-19 15:00:06 CET ---

With my Fedra Fedora on:

- python3-test contains things to test Python itself.

- python3-libs contain stuff used to test your/custom Python code, including test.support.

see also:

https://bugzilla.redhat.com/show_bug.cgi?id=596258
https://bugzilla.redhat.com/show_bug.cgi?id=1528899

Comment 1 Miro Hrončok 2018-11-19 14:13:19 UTC
3.7.1 also has this bug:

<mock-chroot> sh-4.4# python3
Python 3.7.1 (default, Nov  5 2018, 09:51:25) 
[GCC 8.2.1 20181011 (Red Hat 8.2.1-4)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import test.support
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.7/test/support/__init__.py", line 38, in <module>
    from .testresult import get_test_runner
ModuleNotFoundError: No module named 'test.support.testresult'

Comment 3 Fedora Update System 2018-11-23 11:47:43 UTC
python3-3.7.1-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eb48203717

Comment 4 Fedora Update System 2018-11-23 13:58:26 UTC
python3-3.6.7-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5ed8fb9efa

Comment 5 Fedora Update System 2018-11-23 13:58:31 UTC
python3-3.6.7-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5ed8fb9efa

Comment 6 Fedora Update System 2018-11-24 05:02:22 UTC
python3-3.6.7-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5ed8fb9efa

Comment 7 Fedora Update System 2018-11-24 05:46:30 UTC
python3-3.7.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eb48203717

Comment 8 Fedora Update System 2018-11-25 02:26:16 UTC
python3-3.7.1-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-29 02:26:40 UTC
python3-3.6.7-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.